/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.datasource;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;

import java.io.Serializable;

/**
* 查询接口--数据传输对象：数据库集群
*
* createdate:  2021-03-17 09:53:21  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "数据库集群")
public class SaaSDataSourceClusterQueryDto implements Serializable
{
  /**
   * 集群名称<br>
   */
  @ApiModelProperty("集群名称")
  @Size(max = 128, message="集群名称-clusterName: 数据长度不能 > 128" )
  private String clusterName;
  /**
   * 数据库类型<br>
   */
  @ApiModelProperty("数据库类型")
  @Size(max = 16, message="数据库类型-databaseType: 数据长度不能 > 16" )
  private String databaseType;

  /**
   * 是否已使用<br>
   */
  @ApiModelProperty("是否已使用")
  private Boolean used;

  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;
  /**
   * 是否已删除<br>
   */
  @ApiModelProperty("是否已删除")
  private Boolean deleted;

  /**
   * 数据隔离级别<br>
   */
  @ApiModelProperty("数据隔离级别")
  @Size(max = 16, message="数据隔离级别-isolationLevel: 数据长度不能 > 16" )
  private String isolationLevel;

  public String getClusterName()
  {
    return clusterName;
  }

  public void setClusterName(String clusterName)
  {
    this.clusterName = clusterName;
  }

  public String getDatabaseType()
  {
    return databaseType;
  }

  public void setDatabaseType(String databaseType)
  {
    this.databaseType = databaseType;
  }

  public Boolean getUsed()
  {
    return used;
  }

  public void setUsed(Boolean used)
  {
    this.used = used;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }

  public Boolean getDeleted()
  {
    return deleted;
  }

  public void setDeleted(Boolean deleted)
  {
    this.deleted = deleted;
  }

  public String getIsolationLevel()
  {
    return isolationLevel;
  }

  public void setIsolationLevel(String isolationLevel)
  {
    this.isolationLevel = isolationLevel;
  }

  @ApiModelProperty("排除AppId")
  private String excludeAppId;

  public String getExcludeAppId()
  {
    return excludeAppId;
  }

  public void setExcludeAppId(String excludeAppId)
  {
    this.excludeAppId = excludeAppId;
  }
}